package com.project.ilsaenterprise.models;

public class Employees {
    private String uid;
    private String email;
    private String jabatan;
    private String namaLengkap;
    private String noPeg;
    private String noHp;
    private String image;
    private String perusahaan;
    private String divisi;
    private String nip;
    private String DOB;
    private String alamat;
    private String deviceId;
    private String gender;

    public Employees(){

    }

    public Employees(String uid, String email, String jabatan, String namaLengkap, String noPeg, String noHp, String image, String perusahaan, String divisi, String nip, String DOB, String alamat, String deviceId, String gender) {
        this.uid = uid;
        this.email = email;
        this.jabatan = jabatan;
        this.namaLengkap = namaLengkap;
        this.noPeg = noPeg;
        this.noHp = noHp;
        this.image = image;
        this.perusahaan = perusahaan;
        this.divisi = divisi;
        this.nip = nip;
        this.DOB = DOB;
        this.alamat = alamat;
        this.deviceId = deviceId;
        this.gender = gender;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getJabatan() {
        return jabatan;
    }

    public void setJabatan(String jabatan) {
        this.jabatan = jabatan;
    }

    public String getNamaLengkap() {
        return namaLengkap;
    }

    public void setNamaLengkap(String namaLengkap) {
        this.namaLengkap = namaLengkap;
    }

    public String getNoPeg() {
        return noPeg;
    }

    public void setNoPeg(String noPeg) {
        this.noPeg = noPeg;
    }

    public String getNoHp() {
        return noHp;
    }

    public void setNoHp(String noHp) {
        this.noHp = noHp;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getPerusahaan() {
        return perusahaan;
    }

    public void setPerusahaan(String perusahaan) {
        this.perusahaan = perusahaan;
    }

    public String getDivisi() {
        return divisi;
    }

    public void setDivisi(String divisi) {
        this.divisi = divisi;
    }

    public String getNip() {
        return nip;
    }

    public void setNip(String nip) {
        this.nip = nip;
    }

    public String getDOB() {
        return DOB;
    }

    public void setDOB(String DOB) {
        this.DOB = DOB;
    }

    public String getAlamat() {
        return alamat;
    }

    public void setAlamat(String alamat) {
        this.alamat = alamat;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }
}
